Subject: RE: [Enum] RE: [ietf-provreg] New I/D: draft-hoeneisen-enum-validation-epp-0 0

From: "Stastny Richard" <[email-masked]>
Date: Tue, 28 Sep 2004 11:37:10 -0400

Greg,

>From the ENUM 
> perspective, the distinction between the base E.164 number 
> and the subaddress is meaningless,

wrong

>and in effect the E.164 "string of numbers" can be up to 25 digits long.

wrong again, in this case it could be 55.

RTFM

Sorry, but the Subaddress (SA) is NOT part of the E.164 number, 
(OUTSIDE the ISDN numbering plan) and therefore MUST NOT be in ENUM.
"Subaddress information is NOT REQUIRED to be processed within the public network"

A partial number (DDI) is part of the E.164 number and therefore may be in ENUM.

Richard
BTW, the SA can be 40 digits

Citation from E.164, please read carefully:

B.3.2	Addressing by an ISDN number
When selecting a destination in the subscriber installation, digits forming the end of the ISDN subscriber number are transferred to the called subscriber's installation as a partial number (see Figure B.1). The number of digits used depends upon the requirements of the called subscriber's equipment and the capacity of the numbering plan used.
In instances where a partial number is utilized, e.g. Network Termination 2 (NT2), the number will be used in the context of the direct-dialling-in supplementary service.
If the subscriber's installation consists of terminal equipment only, the transferred digits will be used in the context of the multiple-subscriber-number supplementary service.

B.3.3	Sub-addressing (network address extension)
Sub-addressing provides an additional addressing capacity OUTSIDE the ISDN numbering plan but constitutes an intrinsic part of the ISDN addressing capabilities. The sub-address is a sequence of digits, following the ISDN number. The maximum length should be 20 octets (40 digits). As shown in Figure B.1, the sub-address may follow the ISDN number and form the ISDN address, which is transferred to the equipment at the subscriber's premises.
When required, the sub-address is sent by the calling party within the call set-up procedure and is passed transparently through the network as a separate entity from both the ISDN number and user to-user information. Sub-address information is not required to be processed within the public network.

> -----Original Message-----
> From: Vaudreuil, Greg M (Greg) [mailto:gregv at lucent.com] 
> Sent: Tuesday, September 28, 2004 3:11 PM
> To: Bernie Hoeneisen; Hollenbeck, Scott
> Cc: 'enum at ietf.org'; 'ietf-provreg at cafax.se'
> Subject: RE: [Enum] RE: [ietf-provreg] New I/D: 
> draft-hoeneisen-enum-validation-epp-0 0
> 
> 
> E.164 specifies a maximum of 15 digits, but also specifies an 
> ISDN subaddressing parameter that can be (I believe) up to 
> ten digits in length.  It is quite common in North American 
> voicemail applications to use up to a four digit subaddress 
> at the tail of the E.164 number to indicate a mailbox 
> partition.  I believe in it's original use, the ISDN 
> subaddress was intended to specify extensions behind a PBX or 
> a specific terminal device in the residence. From the ENUM 
> perspective, the distinction between the base E.164 number 
> and the subaddress is meaningless, and in effect the E.164 
> "string of numbers" can be up to 25 digits long.  I don't 
> believe numbers should contain the user presentation markup, 
> but if you did, I can see the number easily reaching 31 characters.
> 
> Greg V.
> 
> -----Original Message-----
> From: Bernie Hoeneisen [mailto:bhoeneis at switch.ch]
> Sent: Tuesday, September 28, 2004 7:44 AM
> To: Hollenbeck, Scott
> Cc: 'enum at ietf.org'; 'ietf-provreg at cafax.se'
> Subject: [Enum] RE: [ietf-provreg] New I/D: 
> draft-hoeneisen-enum-validation-epp-0 0
> 
> 
> Hi Scott!
> 
> Thanks for your feedback!
> 
> On Mon, 27 Sep 2004, Hollenbeck, Scott wrote:
> 
> > OK, I had a chance to take a closer look.  I noticed that 
> you're using 
> > a 31-character token for the E.164 number.  Why is that?  An E.164 
> > number can contain no more than 15 digits per E.164, so why allow a 
> > maximum of 31?  For what it's worth I used a type like this 
> in the EPP 
> > contact mapping:
> 
> The idea behind this was to leave it a Registry policy issue 
> (or up to the 
> validation method documentation), what format to use, in 
> order to keep it 
> as generic as possible. This would allow over-dialing, and characters 
> such as "-", "(", ")" as seperators. Furthermore one could 
> describe number ranges, e.g. "+41-44-26815xx", with this 
> format. I do not have a strong opinion on which format to use 
> for this.
> 
> > Also, throughout the document s/März/March/
> 
> Ouuppps...!
> This is due to a bug in the "xml2rfc" package. It used my 
> locale settings, 
> i.e. the environment variable "LC_TIME=de_CH" although any output 
> documents of the xml2rfc tool are in English. I have submitted a Bug 
> Report and informed the Debian maintainer about this issue. I 
> even got 
> immediately a patch!
> However, this will be correct in the next revision.
> 
> 
> cheers,
>   Bernie
> 
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
> 
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum